Upstream information

CVE-2011-3378 at MITRE

Description

RPM 4.4.x through 4.9.x, probably before 4.9.1.2, allows remote attackers to cause a denial of service (memory corruption) and possibly execute arbitrary code via an rpm package with crafted headers and offsets that are not properly handled when a package is queried or installed, related to (1) the regionSwab function, (2) the headerLoad function, and (3) multiple functions in rpmio/rpmpgp.c.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 720824 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Desktop 11 SP1 rpm Released
SUSE Linux Enterprise Desktop 11 SP4 rpm Affected
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search rpm Released
SUSE Linux Enterprise Server 11 SP1 rpm Released
SUSE Linux Enterprise Server 11 SP1 LTSS rpm Released
SUSE Linux Enterprise Server 11 SP3 rpm Affected
SUSE Linux Enterprise Server 11 SP3-LTSS rpm Affected
SUSE Linux Enterprise Server 11 SP4 rpm Affected
SUSE Linux Enterprise Server 11 SP4-LTSS rpm Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP1 rpm Released
SUSE Linux Enterprise Server for SAP Applications 11 SP4 rpm Affected
SUSE Linux Enterprise Server for SAP Business All-in-One 11 SP1 rpm Released
SUSE Linux Enterprise Software Development Kit 11 SP1 rpm Released
SUSE Linux Enterprise Software Development Kit 11 SP4 rpm Affected
SUSE Studio Onsite 1.3 rpm Released


SUSE Timeline for this CVE

CVE page created: Fri Jun 28 08:14:41 2013
CVE page last modified: Tue Feb 14 14:35:52 2023